Subject: Re: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Stefan Monnier <[email-masked]>
Date: Wed, 20 Jul 2022 10:54:46 -0400

>> But `save-selected-window` can't&shouldn't bind `inhibit-redisplay`.
> I don't think I understand.  First, how is save-selected-window
> related to this discussion?

`save-selected-window` uses `select-window`.
[ Actually I meant to write `with-selected-window` which is even more
  directly related, but the same hold for `save-selected-window`.  ]

> And second, why cannot/shouldn't it bind inhibit-redisplay?

Because code within a `save-selected-window` may want to use `sit-for`,
`read-event`, `recursive-edit`, `read-from-minibuffer`, ..

        Stefan